import openpyxl
from openpyxl.chart import PieChart, Reference

my_file = openpyxl.load_workbook("test.xlsx")
sheet = my_file.active
rows = [
    ['Product', 'Sold'],
    ["Mobile", 10],
    ["Laptop", 20],
    ["Monitor", 30],
    ["Mouse", 40],
    ["keyboard", 50],
]

for row in rows:
    sheet.append(row)

chart = PieChart()
lables = Reference(worksheet=sheet, min_row=2, max_row=6, min_col=1)
values = Reference(worksheet=sheet, min_row=1, max_row=6, min_col=2)
chart.add_data(values, titles_from_data=True)
chart.set_categories(lables)
chart.title = "Pie chart example"
sheet.add_chart(chart, "E3")

my_file.save("test.xlsx")